# globsi-admin

How to install Wefra for Odoo 11+
  1. clone this repository
  2. set the right parameters in the files above
    => modules/InterfaceConfig.php
    => modules/InterfacePostgreSQL.php
    => scripts/config.js
  3. execute the SQL files
    => __private/install/install-v1.0.0.sql
    => __private/install/install.php
    
  4. then set the right values in the SQL table erp_config to connect wefra to your odoo instance. And if needed you can change the settings of Wefra in core_config

Multi-languages:
  Activate the languages you want in the SQL table core_lang. If the flag for the language does not display, you can copy paste from images/flags/world to images/flags/default and rename it with the language code that you can find in SQL table core_lang 

Multi-currencies:
  If you want to create a e-commerce frontend and use multi-currencies, activate the wanted currencies in SQL table core_currency

Naming convention:
  FOR SQL:
    (install|update)-(v1.N1.N2).sql where N1 is a middle evolution (a new feature) and N2 is a fix/imp
  
Organisation:
  A module includes: the SQL file based

